// priority: 0

const colors = [
  "white",
  "light_gray",
  "gray",
  "black",
  "brown",
  "red",
  "orange",
  "yellow",
  "lime",
  "green",
  "cyan",
  "light_blue",
  "blue",
  "purple",
  "magenta",
  "pink",
];

ServerEvents.recipes((event) => {
    // BoP sands recipes
  event.recipes.create.milling(
    Item.of("biomesoplenty:orange_sand"),
    Item.of("biomesoplenty:orange_sandstone")
  );
  event.recipes.create.milling(
    Item.of("biomesoplenty:black_sand"),
    Item.of("biomesoplenty:black_sandstone")
  );
  event.recipes.create.milling(
    Item.of("biomesoplenty:white_sand"),
    Item.of("biomesoplenty:white_sandstone")
  );
  event.recipes.create.milling(
    Item.of("biomesoplenty:white_sand"),
    Item.of("minecraft:diorite")
  );
  event.recipes.create.milling(
    Item.of("biomesoplenty:black_sand"),
    Item.of("minecraft:blackstone")
  );
  event.recipes.create.milling(
    Item.of("biomesoplenty:orange_sand"),
    Item.of("quark:jasper")
  );
  // Lead nugget from black sand
  event.recipes.create.splashing(
    [
      Item.of("minecraft:clay_ball").withChance(0.2),
      Item.of("cgs:lead_nugget",3).withChance(0.12),
    ],
    Item.of("biomesoplenty:black_sand")
  );
  // Copper nugget from orange sand
  event.recipes.create.splashing(
    [
      Item.of("minecraft:clay_ball").withChance(0.2),
      Item.of("create:copper_nugget",3).withChance(0.12),
    ],
    Item.of("biomesoplenty:orange_sand")
  );

  // Zinc nugget from white sand
  event.recipes.create.splashing(
    [
      Item.of("minecraft:clay").withChance(0.2),
      Item.of("create:zinc_nugget",3).withChance(0.12),
    ],
    Item.of("biomesoplenty:white_sand")
  );


  // Concrete from all sands
  colors.forEach((color) => {
    event.remove({
      input: "#minecraft:sand",
      output: "minecraft:" + color + "_concrete_powder",
    });
    event.recipes.minecraft.crafting_shapeless(
      Item.of("minecraft:" + color + "_concrete_powder", 8),
      [
        "4x #forge:sand",
        Item.of("minecraft:gravel", 4),
        Item.of("minecraft:" + color + "_dye"),
      ]
    );
  });
});
